Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemExsltFunction

    java.lang.Object
      org.apache.xml.utils.UnImplNode
          org.apache.xalan.templates.ElemTemplateElement
              org.apache.xalan.templates.ElemTemplate
                  org.apache.xalan.templates.ElemExsltFunction

All Implemented Interfaces:
  Document, Element, ExpressionNode, Node, NodeList, PrefixResolver, java.io.Serializable, SourceLocator, WhitespaceStrippingElementMatcher, XSLTVisitable

public class ElemExsltFunction
extends ElemTemplate

Implement func:function.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Field Summary

Fields inherited from class org.apache.xalan.templates.ElemTemplate
`m_frameSize`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ElemExsltFunction()`

Method Summary
`void` | `compose(StylesheetRoot sroot)` Called after everything else has been recomposed, and allows the function to set remaining values that may be based on some other property that depends on recomposition.
`void` | `execute(TransformerImpl transformer, XObject[] args)`
`java.lang.String` | `getNodeName()` Return the node name, defined in the Constants class.
`int` | `getXSLToken()` Get an integer representation of the element type.

Methods inherited from class org.apache.xalan.templates.ElemTemplate
`endCompose, execute, getMatch, getMode, getName, getPriority, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, recompose, setLocaterInfo, setMatch, setMode, setName, setPriority, setStylesheet`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemExsltFunction

    public ElemExsltFunction()

Method Detail

### getXSLToken

    public int getXSLToken()

  Get an integer representation of the element type.

  Overrides:
    `getXSLToken` in class `ElemTemplate`
  Returns:
    An integer representation of the element, defined in the Constants class.
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name, defined in the Constants class.

  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `ElemTemplate`
  Returns:
    The node name
  See Also:
    `org.apache.xalan.templates.Constants.`

### execute

    public void execute(TransformerImpl transformer,
                        XObject[] args)
                 throws TransformerException

  Throws:
    `TransformerException`

### compose

    public void compose(StylesheetRoot sroot)
                 throws TransformerException

  Called after everything else has been recomposed, and allows the function to set remaining values that may be based on some other property that depends on recomposition.

  Overrides:
    `compose` in class `ElemTemplate`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.